## s6-portable-utils 2.3.0.4~antix1

=== Makefile ===
#
# This Makefile requires GNU make.
#
# Do not make changes here.
# Use the included .mak files.
#

it: all

make_need := 3.81
ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
fail := $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
endif

CC = $(error Please use ./configure first)

STATIC_LIBS :=
SHARED_LIBS :=
INTERNAL_LIBS :=
EXTRA_TARGETS :=
LIB_DEFS :=
BIN_SYMLINKS :=

define library_definition
LIB$(firstword $(subst =, ,$(1))) := lib$(lastword $(subst =, ,$(1))).$(if $(DO_ALLSTATIC),a,so).xyzzy
ifdef DO_SHARED
SHARED_LIBS += lib$(lastword $(subst =, ,$(1))).so.xyzzy
endif
ifdef DO_STATIC
STATIC_LIBS += lib$(lastword $(subst =, ,$(1))).a.xyzzy
endif
endef

define binary_installation_rule
$(DESTDIR)$(1)/$(2): $(2) package/modes
	exec $(INSTALL) -D -m 600 $$< $$@
	grep -- ^$$(@F) < package/modes | { read name mode owner && \
	if [ x$$$$owner != x ] ; then chown -- $$$$owner $$@ ; fi && \
	chmod $$$$mode $$@ ; }
endef

define symlink_installation_rule
$(DESTDIR)$(1)/$(2): $(DESTDIR)$(1)/$(SYMLINK_TARGET_$(2))
	exec $(INSTALL) -l $$(<F) $$@
endef

-include config.mak
include package/targets.mak

$(foreach var,$(LIB_DEFS),$(eval $(call library_definition,$(var))))

include package/deps.mak

version_m := $(basename $(version))
version_M := $(basename $(version_m))
version_l := $(basename $(version_M))
CPPFLAGS_ALL := $(CPPFLAGS_AUTO) $(CPPFLAGS)
CFLAGS_ALL := $(CFLAGS_AUTO) $(CFLAGS)
ifeq ($(strip $(STATIC_LIBS_ARE_PIC)),)
CFLAGS_SHARED := -fPIC
else
CFLAGS_SHARED :=
endif
LDFLAGS_ALL := $(LDFLAGS_AUTO) $(LDFLAGS)
AR := $(CROSS_COMPILE)ar
RANLIB := $(CROSS_COMPILE)ranlib
STRIP := $(CROSS_COMPILE)strip
INSTALL := ./tools/install.sh

$(foreach var,$(BIN_TARGETS),$(eval $(call binary_installation_rule,$(bindir),$(var))))
$(foreach var,$(LIBEXEC_TARGETS),$(eval $(call binary_installation_rule,$(libexecdir),$(var))))
$(foreach var,$(BIN_SYMLINKS),$(eval $(call symlink_installation_rule,$(bindir),$(var))))

ALL_BINS := $(LIBEXEC_TARGETS) $(BIN_TARGETS)
ALL_LIBS := $(SHARED_LIBS) $(STATIC_LIBS) $(INTERNAL_LIBS)
ALL_INCLUDES := $(wildcard src/include/$(package)/*.h)

all: $(ALL_LIBS) $(ALL_BINS) $(ALL_INCLUDES) $(EXTRA_INCLUDES)

clean:
	@exec rm -f $(ALL_LIBS) $(ALL_BINS) $(wildcard src/*/*.o src/*/*.lo) $(EXTRA_TARGETS)

distclean: clean
	@exec rm -f config.mak src/include/$(package)/config.h

tgz: distclean
	@. package/info && \
	rm -rf /tmp/$$package-$$version && \
	cp -a . /tmp/$$package-$$version && \
	cd /tmp && \
	tar -zpcv --owner=0 --group=0 --numeric-owner --exclude=.git* -f /tmp/$$package-$$version.tar.gz $$package-$$version && \
	exec rm -rf /tmp/$$package-$$version

strip: $(ALL_LIBS) $(ALL_BINS)
ifneq ($(strip $(STATIC_LIBS)),)
	exec $(STRIP) -x -R .note -R .comment $(STATIC_LIBS)
endif
ifneq ($(strip $(ALL_BINS)$(SHARED_LIBS)),)
	exec $(STRIP) -R .note -R .comment $(ALL_BINS) $(SHARED_LIBS)
endif

install: install-dynlib install-libexec install-bin install-symlinks install-lib install-include
install-dynlib: $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(dynlibdir)/lib%.so)
install-libexec: $(LIBEXEC_TARGETS:%=$(DESTDIR)$(libexecdir)/%)
install-bin: $(BIN_TARGETS:%=$(DESTDIR)$(bindir)/%)
install-symlinks: $(BIN_SYMLINKS:%=$(DESTDIR)$(bindir)/%)
install-lib: $(STATIC_LIBS:lib%.a.xyzzy=$(DESTDIR)$(libdir)/lib%.a)
install-include: $(ALL_INCLUDES:src/include/$(package)/%.h=$(DESTDIR)$(includedir)/$(package)/%.h) $(EXTRA_INCLUDES:src/include/%.h=$(DESTDIR)$(includedir)/%.h)

ifneq ($(exthome),)

$(DESTDIR)$(exthome): $(DESTDIR)$(home)
	exec $(INSTALL) -l $(notdir $(home)) $(DESTDIR)$(exthome)

update: $(DESTDIR)$(exthome)

global-links: $(DESTDIR)$(exthome) $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M)) $(BIN_TARGETS:%=$(DESTDIR)$(sproot)/command/%) $(BIN_SYMLINKS:%=$(DESTDIR)$(sproot)/command/%)

$(DESTDIR)$(sproot)/command/%: $(DESTDIR)$(home)/command/%
	exec $(INSTALL) -D -l ..$(subst $(sproot),,$(exthome))/command/$(<F) $@

$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M): $(DESTDIR)$(dynlibdir)/lib%.so.$(version_M)
	exec $(INSTALL) -D -l ..$(subst $(sproot),,$(exthome))/library.so/$(<F) $@

.PHONY: update global-links

endif

$(DESTDIR)$(dynlibdir)/lib%.so $(DESTDIR)$(dynlibdir)/lib%.so.$(version_M): lib%.so.xyzzy
	$(INSTALL) -D -m 755 $< $@.$(version) && \
	$(INSTALL) -l $(@F).$(version) $@.$(version_M) && \
	exec $(INSTALL) -l $(@F).$(version_M) $@

$(DESTDIR)$(libdir)/lib%.a: lib%.a.xyzzy
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(includedir)/$(package)/%.h: src/include/$(package)/%.h
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(includedir)/%.h: src/include/%.h
	exec $(INSTALL) -D -m 644 $< $@

%.o: %.c
	exec $(CC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) -c -o $@ $<

%.lo: %.c
	exec $(CC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) $(CFLAGS_SHARED) -c -o $@ $<

$(ALL_BINS):
	exec $(CC) -o $@ $(CFLAGS_ALL) $(LDFLAGS_ALL) $(LDFLAGS_NOSHARED) $^ $(EXTRA_LIBS) $(LDLIBS)

lib%.a.xyzzy:
	exec $(AR) rc $@ $^
	exec $(RANLIB) $@

lib%.so.xyzzy:
	exec $(CC) -o $@ $(CFLAGS_ALL) $(CFLAGS_SHARED) $(LDFLAGS_ALL) $(LDFLAGS_SHARED) -Wl,-soname,$(patsubst lib%.so.xyzzy,lib%.so.$(version_M),$@) $^ $(EXTRA_LIBS) $(LDLIBS)

.PHONY: it all clean distclean tgz strip install install-dynlib install-bin install-lib install-include

.DELETE_ON_ERROR:

## s6-portable-utils 2.2.3.1.0antix1

=== debian/changelog ===
s6-portable-utils (2.2.3.1.0antix1) unstable; urgency=medium

  * antiX build to use with 66 

 -- anticapitalista <antix@operamail.com>  Fri, 26 Feb 2021 15:19:32 +0200

=== debian/control ===
Source: s6-portable-utils
Section: admin
Priority: optional
Maintainer: anticapitalista <anticapitalista@riseup.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 12),
Build-Depends-Arch:
 skalibs-dev (>= 2.10.0.2),
Standards-Version: 4.5.1
Homepage: https://skarnet.org/software/s6/
Vcs-Git: https://salsa.debian.org/zhsj/s6.git
Vcs-Browser: https://salsa.debian.org/zhsj/s6

Package: s6-portable-utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: s6-portable-utils is a set of tiny general Unix utilities, often 
 performing well-known tasks such as cut and grep, but optimized for simplicity and small size.

## s6-portable-utils 2.3.0.3

=== debian/changelog ===
s6-portable-utils (2.3.0.3-1.0antix1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Sat, 20 Jan 2024 21:10:01 +0200

s6-portable-utils (2.3.0.3-1) unstable; urgency=medium

  * New upstream version 2.3.0.3

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 16 Sep 2023 11:07:13 +0200

=== debian/control ===
Source: s6-portable-utils
Section: admin
Priority: optional
Maintainer: Aitor <aitor_czr@gnuinos.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 libexecline-dev (>= 2.9.0.0),
 skalibs-dev (>= 2.13.1.0),
Standards-Version: 4.6.2
Homepage: https://skarnet.org/software/s6/
Vcs-Git: https://salsa.debian.org/zhsj/s6.git
Vcs-Browser: https://salsa.debian.org/zhsj/s6

Package: s6-portable-utils
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 s6 (<< 2.8.0.1),
Description: small and secure supervision software suite (shared library)
 s6 is a small suite of programs for UNIX, designed to allow process
 supervision (a.k.a service supervision), in the line of daemontools and
 runit, as well as various operations on processes and daemons. It is meant
 to be a toolbox for low-level process and service administration, providing
 different sets of independent tools that can be used within or without the
 framework, and that can be assembled together to achieve powerful
 functionality with a very small amount of code.
 .
 This package contains shared libraries.

## s6-portable-utils 2.3.0.3experimental1

=== debian/changelog ===
s6-portable-utils (2.3.0.3experimental1-1) UNRELEASED; urgency=medium

  * Initial release. Experimental

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com>

=== debian/control ===
Source: s6-portable-utils
Section: s6-experimental
Priority: optional
Maintainer: Prowler_Gr@yahoo.gr <Prowler73@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 autotools-dev,
 s6 (>= 2.12),
 s6-rc (>= 0.5.4.2),
 execline (>= 2.9),
 s6-linux-utils (>= 2.6),
 libexecline2.9,
 libskarnet2.14
Standards-Version: 4.6.2

Package: s6-portable-utils
Architecture: any 
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 s6 (>= 2.12),
 s6-rc (>= 0.5.4.2),
 execline (>= 2.9),
 s6-linux-utils (>= 2.6),
 libexecline2.9,
 libskarnet2.14
Description: Tiny portable generic utilities.
 s6-portable-utils is a set of tiny general Unix utilities, often performing well-known tasks such as cut and grep, but optimized for simplicity and small size. They were designed for embedded systems and other constrained environments, but they work everywhere.

=== debian/watch ===
# Example watch control file for uscan.
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig.
#opts="pgpsigurlmangle=s%$%.sig%"

# HTTP site (basic).
#http://example.com/downloads.html \
#    files/s6-portable-utils-([\d\.]+)\.tar\.gz

# Uncomment to examine an FTP server.
#ftp://ftp.example.com/pub/s6-portable-utils-(.*)\.tar\.gz

# SourceForge hosted projects.
#http://sf.net/s6-portable-utils/ s6-portable-utils-(.*)\.tar\.gz

# GitHub hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://github.com/<user>/<project>/tags \
#    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

# GitLab hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://gitlab.com/<user>/<project>/-/tags \
#    archive/v?@ANY_VERSION@/<project>-v?\d\S*@ARCHIVE_EXT@

# PyPI.
#https://pypi.debian.net/s6-portable-utils/s6-portable-utils-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# Direct Git.
opts="mode=git" http://git.skarnet.org/s6-portable-utils \
#    refs/tags/v([\d\.]+)

## s6-portable-utils 2.3.0.4~antix1

=== debian/changelog ===
s6-portable-utils (2.3.0.4~antix1) unstable; urgency=medium

  * updtream update
  * antiX build

 -- anticapitalista <antix@operamail.com>  Thu, 17 Oct 2024 20:02:28 +0300

=== debian/control ===
Source: s6-portable-utils
Section: admin
Priority: optional
Maintainer: Aitor <aitor_czr@gnuinos.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 libexecline-dev (>= 2.9.6.1),
 skalibs-dev (>= 2.14.3.0),
Standards-Version: 4.6.2
Homepage: https://skarnet.org/software/s6/
Vcs-Git: https://salsa.debian.org/zhsj/s6.git
Vcs-Browser: https://salsa.debian.org/zhsj/s6

Package: s6-portable-utils
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 s6 (<< 2.8.0.1),
Description: small and secure supervision software suite (shared library)
 s6 is a small suite of programs for UNIX, designed to allow process
 supervision (a.k.a service supervision), in the line of daemontools and
 runit, as well as various operations on processes and daemons. It is meant
 to be a toolbox for low-level process and service administration, providing
 different sets of independent tools that can be used within or without the
 framework, and that can be assembled together to achieve powerful
 functionality with a very small amount of code.
 .
 This package contains shared libraries.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1):
# - https://wiki.debian.org/Hardening#dpkg-buildflags

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

CONFIG_OPT += --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --includedir=\$${prefix}/include
CONFIG_OPT += --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/s6
CONFIG_OPT += --with-sysdeps=/usr/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
CONFIG_OPT += --enable-absolute-paths
CONFIG_OPT += --enable-shared
CONFIG_OPT += --disable-allstatic

%:
	dh $@

override_dh_auto_configure-arch:
	./tools/gen-deps.sh > package/deps.mak
	dh_auto_configure -- $(CONFIG_OPT)

override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/s6
	cp -aT doc debian/tmp/usr/share/doc/s6

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## s6-portable-utils 2.3.0.4

=== debian/changelog ===
s6-portable-utils (2.3.0.4-0experimental1) UNRELEASED; urgency=medium

  * New upstream release.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 05 Apr 2025 22:22:22 +1000

s6-portable-utils (2.3.0.3-0experimental1) UNRELEASED; urgency=medium

  * Packaged for init-diversity repo. Moved to gitlab.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 22 Jun 2024 22:22:22 +1000

## s6-portable-utils 2.3.1.0

=== debian/changelog ===
s6-portable-utils (2.3.1.0-0antix1) unstable; urgency=medium

  * New upstream release 2.3.1.0 Many thanks to ProwlerGR

 -- anticapitalista <antix@operamail.com>  Sat, 17 May 2025 17:08:22 +0300

=== debian/control ===
Source: s6-portable-utils
Section: admin
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 skalibs-dev,
Standards-Version: 4.6.2
Homepage: https://skarnet.org/software/s6-portable-utils/
Vcs-Git: https://salsa.debian.org/init-diversity-team/s6-rc/s6-portable-utils.git
Vcs-Browser: https://salsa.debian.org/init-diversity-team/s6-rc/s6-portable-utils

Package: s6-portable-utils
Architecture: any 
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Tiny portable generic utilities.
 s6-portable-utils is a set of tiny general Unix utilities, often performing well-known tasks such as cut and grep, but optimized for simplicity and small size. 
 They were designed for embedded systems and other constrained environments, but they work everywhere.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIG_OPT += --prefix=/usr
CONFIG_OPT += --dynlibdir=\$${prefix}/lib
CONFIG_OPT += --libdir=\$${prefix}/lib
CONFIG_OPT += --libexecdir=\$${prefix}/libexec
CONFIG_OPT += --bindir=\$${prefix}/bin
CONFIG_OPT += --with-lib=\$${prefix}/lib/skalibs
CONFIG_OPT += --with-lib=\$${prefix}/lib/execline
CONFIG_OPT += --with-lib=\$${prefix}/lib/s6
CONFIG_OPT += --with-sysdeps=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
CONFIG_OPT += --shebangdir=\$${prefix}/lib/execline/bin
CONFIG_OPT += --with-s6-log-timestamp=iso
CONFIG_OPT += --includedir=\$${prefix}/include
#CONFIG_OPT += --enable-absolute-paths
#CONFIG_OPT += --enable-shared
#CONFIG_OPT += --disable-static
#CONFIG_OPT += --disable-allstatic
#CONFIG_OPT += --enable-static-libc
#CONFIG_OPT += --disable-all-pic
#CONFIG_OPT += --enable-slashpackage[=ROOT]
#CONFIG_OPT += --enable-multicall

%:
	dh $@

override_dh_clean:
	if test -e README.md; then rm README.md; fi;
	if test -e config.mak; then rm config.mak; fi;
	dh_clean

override_dh_auto_configure-arch:
	./tools/gen-deps.sh > package/deps.mak
	dh_auto_configure -- $(CONFIG_OPT)

override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/s6-portable-utils
	cp -aT doc debian/tmp/usr/share/doc/s6-portable-utils

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
git://git.skarnet.org/s6-portable-utils \
refs/tags/v([\d\.]+)
